API7 Docs

List all SNIs on a gateway group

GET /apisix/admin/snis

GET /apisix/admin/snis

Interactive request editor loads with JavaScript.

Authorization

X-API-KEY<token>

In: header

Query Parameters

gateway_group_id*string

Gateway group ID. Optional when using the gateway group admin key to authenticate.

Length1 <= length
page?integer

Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

Formatint32
Range1 <= value
page_size?integer

Number of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

Formatint32
Range1 <= value
direction?string

Order to list the resources by. The sorting index follows the configuration of order_by.

Default"desc"

Value in

  • "asc"
  • "desc"
order_by?"name"
Default"name"

Value in

  • "name"
search?string

Condition to search resources by.

labels?string

Label(s) to filter resources by. The format is labels[key]=value and should be URL-encoded.

Length1 <= length
domain?string

The domain of the SNI.

Match^\*?[0-9a-zA-Z-._]+$
mtls_enabled?array<boolean>

If true, enable mTLS.

Response Body

application/json

application/json

curl -X GET "$API_BASE_URL/apisix/admin/snis?gateway_group_id=86fb9981-d9d2-4555-9df8-91ae92129335&search=version%253Dv2"

Successfully retrieved the paginated list of SNIs.

{
  "total": 1,
  "list": [
    {
      "name": "us-west-rsc",
      "domain": "httpbin.org",
      "desc": "Object description.",
      "certificates": [
        "$secret://aws/john/apisix-secrets/john-key-auth"
      ],
      "mtls": {
        "enabled": true,
        "ca_certificates": [
          "$secret://aws/john/apisix-secrets/john-key-auth"
        ],
        "skip_mtls_uri_regex": [
          "string"
        ]
      },
      "labels": {
        "version": "v2",
        "env": "prod"
      },
      "ssl_protocols": [
        "TLSv1.2",
        "TLSv1.3"
      ],
      "id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
      "created_at": 1742288232,
      "updated_at": 1742288235
    }
  ]
}
Complete operation details and schema variants

GET /apisix/admin/snis

List all SNIs on a gateway group

List SNI configurations for the gateway group, including hostname and mTLS related settings. Use filters to locate entries by domain, labels, or mTLS enablement. Required IAM Permission: Action gateway:GetSNI, Resource arn:api7:gateway:gatewaygroup/%s

Parameters

  • gateway_group_id (query, string, required): Gateway group ID. Optional when using the gateway group admin key to authenticate.
  • page (query, integer, optional): Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
  • page_size (query, integer, optional): Number of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
  • direction (query, string, optional): Order to list the resources by. The sorting index follows the configuration of order_by.
  • order_by (query, string, optional):
  • search (query, string, optional): Condition to search resources by.
  • labels (query, string, optional): Label(s) to filter resources by. The format is labels[key]=value and should be URL-encoded.
  • domain (query, string, optional): The domain of the SNI.
  • mtls_enabled (query, array, optional): If true, enable mTLS.

Responses

  • 200: Successfully retrieved the paginated list of SNIs.
  • allOf variant 1
  • list (array, optional): An array of resources.
  • total (integer, optional): Total number of objects.
  • allOf variant 2
  • list (array, optional): An array of SNIs.
  • allOf variant 1
  • list[].name (string, optional): The object name.
  • list[].domain (string, optional): The HTTP host.
  • list[].desc (string, optional): The object description.
  • list[].certificates (array, optional): An array of certificates.
  • oneOf variant 1: Certificate Reference
  • oneOf variant 2: Certificate Content
  • list[].mtls (object, optional): mTLS configurations.
  • list[].mtls.enabled (boolean, optional): If true, enable mTLS.
  • list[].mtls.ca_certificates (array, optional): An array of CA certificates used for mTLS.
  • oneOf variant 1: Certificate Reference
  • oneOf variant 2: Certificate Content
  • list[].mtls.skip_mtls_uri_regex (array, optional): URI regular expressions to skip mTLS verification. Requests matching any of these patterns will bypass client certificate verification.
  • list[].labels (object, optional): Key-value pairs of labels.
  • list[].ssl_protocols (array, optional): An array of TLS protocol versions.
  • allOf variant 2
  • list[].id (string, optional): The object ID.
  • list[].created_at (integer, optional): The object created timestamp.
  • list[].updated_at (integer, optional): The object updated timestamp.
  • 400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
  • value (object, optional): The specific resource.
  • error_msg (string, optional): The error message.

cURL

curl -X GET '$API_BASE_URL/apisix/admin/snis'